/v1/live_calls

Details of all live calls

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Using the below method details of current live calls can be retrieved.

curl --request GET \
  --url https://api.servetel.in/v1/live_calls \
  --header 'accept: application/json' \
  --header 'authorization: Bearer yourtokenhere'

Response variables

Variable NameDescriptionData Type
idID of the callInteger
user_idCustomer's unique IDInteger
client_idCustomer's client IDString
call_idUnique ID of callString
directionDirection of call
[1: inbound, 2: outbound]
Integer
sourceNumber from where call originatedString
typeType of callString
didCaller ID shown to customerString
multiple_destination_typeType of multi-destination call.
[ eg: Click to call (c2c) ]
String
multiple_destination_nameNumber for multi-destination callString
destinationDestination number for callString
stateCall's current stateString
channel_idChannel IDString
created_atStart stamp of callString
sip_domainSip domain for callString
broadcast_idUnique ID of broadcastString
broadcast_noLead's numberString
call_timeDuration of callString
agent_nameAgent's nameString
🚧

broadcast_id: is not null only if call type is broadcast
broadcast_no: is not null only if call type is broadcast

[
    {
        "id": 1,
        "user_id": 1,
        "client_id": null,
        "call_id": "15xxxxxxxx.xx..",
        "direction": 2,
        "source": "+910000000000",
        "type": "click-to-call",
        "did": "+911200000000",
        "multiple_destination_type": "xxx",
        "multiple_destination_name": "xxxx...xxxx",
        "destination": "910000000000",
        "state": "Ringing",
        "channel_id": "xxxx...xxxx",
        "created_at": "2019-01-29 00:00:00",
        "sip_domain": "1.2.3.4",
        "broadcast_id": null,
        "broadcast_no": null,
        "call_time": "00:00:07",
        "agent_name": "Test"
    },
    {
        "id": 2,
        "user_id": 1,
        "client_id": null,
        "call_id": "15xxxxxxxx.xx..",
        "direction": 2,
        "source": "+910000000000",
        "type": "click-to-call",
        "did": "+911200000000",
        "multiple_destination_type": "xxx",
        "multiple_destination_name": "xxxx....xxxx",
        "destination": "910000000000",
        "state": "Answered",
        "channel_id": "xxxx...xxxx",
        "created_at": "2019-01-29 01:00:00",
        "sip_domain": "1.2.3.4",
        "broadcast_id": null,
        "broadcast_no": null,
        "call_time": "00:00:07",
        "agent_name": "Test"
    }
]
Query Params
string
string
string
string
Headers
string
required
Responses

500

500 response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json